/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.SynBugInfo;
import net.northking.cctp.dw.db.mapper.SynBugInfoMapper;
import net.northking.cctp.dw.dto.BugLegacyGradeGroupDto;
import net.northking.cctp.dw.dto.BugLifeCycleChartAddDto;
import net.northking.cctp.dw.dto.BugOverallTendencyChartAddDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：缺陷管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-01-28 13:45:44  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface SynBugInfoDao extends SynBugInfoMapper {

    List<BugLegacyGradeGroupDto> findAllGroup();

    List<SynBugInfo> findProIdList();

    List<BugLifeCycleChartAddDto> findBugLifeCycleList(@Param("endStatusList") List<String> endStatus, @Param("proId") String proId);

    List<BugOverallTendencyChartAddDto> queryBugTendencyMessage(@Param("proId") String proId, @Param("statusList") List<String> endStatus);

    Integer insertBugInfoByBatch(List<SynBugInfo> dtoList);

    List<String> findTenantIdList();

    Long count(@Param("tenantId") String tenantId,@Param("projectIds") List<String> projectIds);
}
